summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPetteri Räty <betelgeuse@gentoo.org>2006-11-05 10:40:05 +0000
committerPetteri Räty <betelgeuse@gentoo.org>2006-11-05 10:40:05 +0000
commitce95ce10a134c619636268811679c7d855e263d1 (patch)
tree89d704646897a7e2203d4c7c7856d4aae40ad4cb /app-shells/sandboxshell/files
parentAdded ~ppc keyword wrt bug 154084 (diff)
downloadhistorical-ce95ce10a134c619636268811679c7d855e263d1.tar.gz
historical-ce95ce10a134c619636268811679c7d855e263d1.tar.bz2
historical-ce95ce10a134c619636268811679c7d855e263d1.zip
Now sandboxshell works again with >sys-apps/portage-2.1.1. Fixes bug #154105.
Package-Manager: portage-2.1.2_rc1-r3
Diffstat (limited to 'app-shells/sandboxshell/files')
-rw-r--r--app-shells/sandboxshell/files/digest-sandboxshell-0.3-r11
-rw-r--r--app-shells/sandboxshell/files/digest-sandboxshell-0.3-r20
-rw-r--r--app-shells/sandboxshell/files/sandboxshell-r1.conf60
3 files changed, 60 insertions, 1 deletions
diff --git a/app-shells/sandboxshell/files/digest-sandboxshell-0.3-r1 b/app-shells/sandboxshell/files/digest-sandboxshell-0.3-r1
index 8b137891791f..e69de29bb2d1 100644
--- a/app-shells/sandboxshell/files/digest-sandboxshell-0.3-r1
+++ b/app-shells/sandboxshell/files/digest-sandboxshell-0.3-r1
@@ -1 +0,0 @@
-
diff --git a/app-shells/sandboxshell/files/digest-sandboxshell-0.3-r2 b/app-shells/sandboxshell/files/digest-sandboxshell-0.3-r2
new file mode 100644
index 000000000000..e69de29bb2d1
--- /dev/null
+++ b/app-shells/sandboxshell/files/digest-sandboxshell-0.3-r2
diff --git a/app-shells/sandboxshell/files/sandboxshell-r1.conf b/app-shells/sandboxshell/files/sandboxshell-r1.conf
new file mode 100644
index 000000000000..aff373dab4d9
--- /dev/null
+++ b/app-shells/sandboxshell/files/sandboxshell-r1.conf
@@ -0,0 +1,60 @@
+#!/bin/bash
+# Written by vapier@gentoo.org
+# public-domain code ... z0r ...
+# $Header: /var/cvsroot/gentoo-x86/app-shells/sandboxshell/files/sandboxshell-r1.conf,v 1.1 2006/11/05 10:40:05 betelgeuse Exp $
+
+trap ":" INT QUIT TSTP
+
+source /etc/profile
+
+# do ebuild environment loading ... detect if we're in portage
+# build area or not ... uNF uNF uNF
+#sbs_pdir=$(portageq envvar PORTAGE_TMPDIR)/portage/ #portageq takes too long imo
+if [[ -z ${PORTAGE_TMPDIR} ]] ; then
+ sbs_gpdir=$( source /etc/make.globals && echo $PORTAGE_TMPDIR 2> /dev/null)
+ sbs_cpdir=$( source /etc/make.conf && echo $PORTAGE_TMPDIR 2> /dev/null)
+ [[ -z ${sbs_cpdir} ]] \
+ && sbs_pdir=${sbs_gpdir} \
+ || sbs_pdir=${sbs_cpdir}
+else
+ sbs_pdir=${PORTAGE_TMPDIR}
+fi
+[[ -z ${sbs_pdir} ]] && sbs_pdir=/var/tmp
+sbs_pdir=${sbs_pdir}/portage/
+
+if [[ ${PWD:0:${#sbs_pdir}} == "${sbs_pdir}" ]] ; then
+ sbs_bdir=$(echo ${PWD:${#sbs_pdir}} | cut -d/ -f1,2)
+ sbs_tmpenvfile=${sbs_pdir}${sbs_bdir}/temp/environment
+ if [[ -e ${sbs_tmpenvfile} ]] ; then
+ echo "Found environment at ${sbs_tmpenvfile}"
+ printf " * Would you like to enter the portage environment ? "
+ read env
+ sbs_PREPWD=${PWD}
+ if [[ ${env} == "y" ]] ; then
+ # First try to source variables and export them ...
+ eval "$(sed -e '/^[[:alnum:]_-]*=/s:^:export :' -e '/^[[:alnum:]_-]* ()/Q' "${sbs_tmpenvfile}")" 2>/dev/null
+ # Then grab everything (including functions)
+ source "${sbs_tmpenvfile}" 2> /dev/null
+ export SANDBOX_WRITE=${SANDBOX_WRITE}:${sbs_pdir}${sbs_bdir}:${sbs_pdir}/homedir
+ fi
+ PWD=${sbs_PREPWD}
+ fi
+fi
+
+unset sbs_gpdir sbs_cpdir sbs_pdir sbs_bdir sbs_tmpenvfile sbs_PREPWD env
+
+cd "${PWD}"
+export PS1="[s]${PS1}"
+
+adddeny() { export SANDBOX_DENY=${SANDBOX_DENY}:$1 ; }
+addpredict() { export SANDBOX_PREDICT=${SANDBOX_PREDICT}:$1 ; }
+addread() { export SANDBOX_READ=${SANDBOX_READ}:$1 ; }
+addwrite() { export SANDBOX_WRITE=${SANDBOX_WRITE}:$1 ; }
+sandboxon() { export SANDBOX_ON="1" ; }
+sandboxoff() { export SANDBOX_OFF="0" ; }
+
+[[ -z ${CCACHE_DIR} ]] && export CCACHE_DIR=/root/.ccache
+for var in CCACHE_DIR DISTCC_DIR ; do
+ [[ ${!var+set} == "set" ]] && addwrite ${!var}
+done
+unset var